<?php
/*
Plugin Name: Bricks Builder: Allow All HTML Tags
Plugin URI: https://www.memberstack.com/wordpress
Description: Allow all HTML tags in Bricks Builder with just one click.
Version: 1.0
Author: Memberstack Team
Author URI: https://www.memberstack.com/wordpress
License: MIT
License URI: https://opensource.org/licenses/MIT
Text Domain: bricks-allowed-html-tags
*/

// Hook into the 'bricks/allowed_html_tags' filter to allow all HTML tags
add_filter( 'bricks/allowed_html_tags', function( $allowed_html_tags ) {
    // Get a list of all HTML tags
    $all_html_tags = [
        'a', 'abbr', 'address', 'area', 'article', 'aside', 'audio', 'b', 'bdi', 'bdo', 'blockquote',
        'br', 'button', 'canvas', 'caption', 'cite', 'code', 'col', 'colgroup', 'data', 'datalist', 'dd',
        'del', 'details', 'dfn', 'div', 'dl', 'dt', 'em', 'embed', 'fieldset', 'figcaption', 'figure', 'footer',
        'form', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'header', 'hr', 'i', 'iframe', 'img', 'input', 'ins', 'kbd',
        'label', 'legend', 'li', 'link', 'main', 'map', 'mark', 'menu', 'menuitem', 'meta', 'meter', 'nav', 'noscript',
        'object', 'ol', 'optgroup', 'option', 'output', 'p', 'param', 'picture', 'pre', 'progress', 'q', 'rp', 'rt',
        'ruby', 's', 'samp', 'section', 'select', 'small', 'source', 'span', 'strong', 'sub', 'summary', 'sup', 'svg',
        'table', 'tbody', 'td', 'template', 'textarea', 'tfoot', 'th', 'thead', 'time', 'title', 'tr', 'track', 'u',
        'ul', 'var', 'video', 'wbr'
    ];

    // Merge all tags with the existing allowed tags
    return array_merge( $allowed_html_tags, $all_html_tags );
} );
